%define        majver %(echo %version | cut -d. -f1)
%define        minver %(echo %version | cut -d. -f2)
Name:          adodb
Version:       5.09a
Release:       1mamba
Summary:       Active Data Objects Data Base PHP standard class library
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
#URL:          http://php.weblogs.com/adodb
URL:	       http://adodb.sourceforge.net
#Source:       http://phplens.com/lens/dl/adodb495a.tgz
Source:        http://downloads.sourceforge.net/adodb/adodb%{majver}%{minver}.tgz
License:       GPL
Requires:      php >= 5
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PHP is a wonderful language for building dynamic web pages. Unfortunately, PHP's database access functions are not standardised. Every database extension uses a different and incompatibile API. This creates a need for a database class library to hide the differences between the different databases (encapsulate the differences) so we can easily switch databases. 

ADOdb stands for Active Data Objects Data Base.
We currently support MySQL, PostgreSQL, Interbase, Informix, Oracle, MS SQL 7, Foxpro, Access, ADO, SAP DB, SQLite, Sybase, DB2 and generic ODBC. The Sybase, Informix and PostgreSQL drivers are community contributions. We hope more people will contribute drivers to support more databases.

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n %{name}%{majver}

%build

%install
mkdir -p %{buildroot}/var/www/html
pushd %{buildroot}/var/www/html
tar xzf %{SOURCE0} 
echo "" > %{buildroot}/var/www/html/adodb%{majver}/index.html

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_localstatedir}/www/html/adodb%{majver}
%{_localstatedir}/www/html/adodb%{majver}/*

%changelog
* Sat Feb 19 2011 Automatic Build System <autodist@mambasoft.it> 5.09a-1mamba
- update to 5.09a

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.05-1mamba
- update to 5.05


* Fri Jun 22 2007 Tiziana Ferro <tiziana.ferro@email.it> 4.95a-1mamba
- update to 4.95a

* Fri Jun 04 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.22-1qilnx
- first build
